View Issue Details

IDProjectCategoryView StatusLast Update
0032631Open CASCADEOCCT:DRAWpublic2021-10-24 10:23
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032631: Draw Harness - add DRAWEXE.evalAsync() to WebAssembly
DescriptionIt is proposed adding DRAWEXE.evalAsync() which would evaluate Tcl command in background thread when build with -pthread option.

This would allow executing long commands without undesired blocking of main browser thread.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032629 closedsmoskvin Configuration, scripts - add USE_PTHREADS building option to wasm_build.bat 

Activities

git

2021-10-19 01:56

administrator   ~0104721

Branch CR32631 has been created by kgv.

SHA-1: 24f891b06100a20f8d735eec9bf5d96ec621c53c


Detailed log of new commits:

Author: kgv
Date: Tue Oct 19 01:56:18 2021 +0300

    0032631: Draw Harness - add DRAWEXE.evalAsync() to WebAssembly

git

2021-10-19 11:22

administrator   ~0104728

Branch CR32631_1 has been created by kgv.

SHA-1: d4068a6716e89db7c2556ee47d237e264fa2df1c


Detailed log of new commits:

Author: kgv
Date: Tue Oct 19 01:56:18 2021 +0300

    0032631: Draw Harness - add DRAWEXE.evalAsync() to WebAssembly

kgv

2021-10-19 11:22

developer   ~0104729

Patch is ready for review
- OCCT: branch CR32631_1.

osa

2021-10-21 09:25

developer   ~0104775

The patch was reviewed

smoskvin

2021-10-23 17:00

administrator   ~0104818

Combination -
OCCT branch : IR-2021-10-22
master SHA - 5b756182c269a3d4fc19b82fe8527f0fcabf5c57
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-22 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17750.01000000046 / 17700.080000000395 [+0.28%]
Products
Total CPU difference: 11624.980000000118 / 11665.940000000111 [-0.35%]
Windows-64-VC14:
OCCT
---
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-10-24 10:23

administrator   ~0104833

Branch CR32631 has been deleted by mnt.

SHA-1: 24f891b06100a20f8d735eec9bf5d96ec621c53c

git

2021-10-24 10:23

administrator   ~0104834

Branch CR32631_1 has been deleted by mnt.

SHA-1: d4068a6716e89db7c2556ee47d237e264fa2df1c

Related Changesets

occt: master bcb2a742

2021-10-18 22:56:18

kgv


Committer: smoskvin Details Diff
0032631: Draw Harness - add DRAWEXE.evalAsync() to WebAssembly Affected Issues
0032631
mod - src/DRAWEXE/DRAWEXE.cxx Diff File

Issue History

Date Modified Username Field Change
2021-10-19 01:42 kgv New Issue
2021-10-19 01:42 kgv Assigned To => kgv
2021-10-19 01:43 kgv Relationship added related to 0032629
2021-10-19 01:56 git Note Added: 0104721
2021-10-19 11:22 git Note Added: 0104728
2021-10-19 11:22 kgv Test case number => N/A
2021-10-19 11:22 kgv Note Added: 0104729
2021-10-19 11:22 kgv Assigned To kgv => osa
2021-10-19 11:22 kgv Status new => resolved
2021-10-19 11:22 kgv Target Version 7.7.0 => 7.6.0
2021-10-21 09:25 osa Note Added: 0104775
2021-10-21 09:25 osa Assigned To osa => bugmaster
2021-10-21 09:25 osa Status resolved => reviewed
2021-10-23 17:00 smoskvin Note Added: 0104818
2021-10-23 17:00 smoskvin Status reviewed => tested
2021-10-23 20:49 smoskvin Changeset attached => occt master bcb2a742
2021-10-23 20:49 smoskvin Assigned To bugmaster => smoskvin
2021-10-23 20:49 smoskvin Status tested => verified
2021-10-23 20:49 smoskvin Resolution open => fixed
2021-10-24 10:23 git Note Added: 0104833
2021-10-24 10:23 git Note Added: 0104834